Subject: Re: [PATCH net-next 1/6] docs: add more netlink docs (incl. spec docs)

From: Jakub Kicinski <[email-masked]>
Date: Thu, 29 Sep 2022 07:32:24 -0700

On Thu, 29 Sep 2022 15:34:13 +0200 Guillaume Nault wrote:
> > +Make sure to pass the request info to genl_notify() to allow ``NLM_F_ECHO``
> > +to take effect.  
> 
> Do you mean that netlink commands should properly handle NLM_F_ECHO,
> although they should also design their API so that users don't need it?

Yes, ECHO should be supported but as an extra, not something that
is crucial to write a basic script without assuming full ownership 
of the system...

IOW support the logging use case you mentioned but don't do the NEWLINK
thing.

Should I clarify or rephrase? The ECHO section needs to be read with
the one above it to get the full answer.